Package org.apache.calcite.avatica.remote

# Enum AuthenticationType

java.lang.Object
java.lang.Enum<AuthenticationType>
org.apache.calcite.avatica.remote.AuthenticationType

All Implemented Interfaces:
  `Serializable`, `Comparable<AuthenticationType>`, `java.lang.constant.Constable`

public enum AuthenticationType extends Enum<AuthenticationType>
An enumeration for support types of authentication for the HttpServer.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BASIC`
`CUSTOM`
`DIGEST`
`NONE`
`SPNEGO`

## Method Summary

Modifier and Type
Method
Description
`static AuthenticationType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AuthenticationType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final AuthenticationType NONE

### BASIC

public static final AuthenticationType BASIC

### DIGEST

public static final AuthenticationType DIGEST

### SPNEGO

public static final AuthenticationType SPNEGO

### CUSTOM

public static final AuthenticationType CUSTOM

## Method Details

### values

public static AuthenticationType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AuthenticationType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null